.boa-section-banner-with-search {
  --icon-width: 2.5rem;
  --input-min-width: 20.25rem;
  --input-max-width: 21.875rem;
  --input-min-height: 2.8125rem;
  --input-padding-right: calc(var(--icon-width) + 0.5rem);
  position: relative;
  z-index: 2;

  .image-overlay__content {
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  .input-with-icon {
    display: flex;
    position: relative;
    width: 100%;
  }

  .input-with-icon .input-icon {
    position: absolute;
    top: 0.6125rem;
    right: 1.5rem;
    width: 28px;
    height: 10px;
    margin: 0;
    cursor: pointer;
  }

  #autocomplete-container,
  #autocomplete-results {
    min-width: var(--input-min-width);
    max-width: var(--input-max-width);
    width: 100%;
  }

  #autocomplete-results {
    background: #fff;
    position: absolute;
    width: 100%;
    list-style: none;
    margin: 0;
    padding: 0;
    display: none;
  }

  #autocomplete-results li:not(:first-child) {
    border-top: 1px solid rgba(0, 0, 0, 0.15);
  }

  #autocomplete-results li {
    padding: 0.5rem;
    cursor: pointer;
    color: #6f6f6f;
    text-align: right;
    padding: 5px 16px;

    &&:hover {
      color: black;
    }
  }

  #autocomplete-input {
    width: 100%;
    height: 3.5rem;
    color: rgba(0, 0, 0, 0.8);
    text-align: right;
    min-height: var(--input-min-height);
    padding-right: var(--input-padding-right);
    border: 1px solid rgba(105, 105, 105, 0.39);
    font-size: 16px;

    &&::placeholder {
      color: rgba(0, 0, 0, 0.8);
    }
  }
}
